# Delete

## Delete one subscription

### Parameters:

| Name | Optional / Required | Data type | Description                  | Default |
| ---- | ------------------- | --------- | ---------------------------- | ------- |
| id   | required            | String    | One of your subscription ids |         |

{% tabs %}
{% tab title="curl" %}
Example:

```
curl -X DELETE -H "X-ACCESS-TOKEN: YOUR_ACCESS_TOKEN" -d "id=B7OxpT5ji53wLuR2" "https://api.yumpu.com/2.0/account/subscription.json"
```

{% endtab %}

{% tab title="PHP" %}
Example:

```php
require_once('../yumpu.php');
$yumpu = new Yumpu();
$id = 'B7OxpT5ji53wLuR2';
$deleteSubscription = $yumpu->deleteSubscription($id);
print_r($deleteSubscription);
```

{% endtab %}

{% tab title="JavaScript" %}
Example:

```javascript
var yumpu = require('yumpu');
yumpu.setToken('yourToken');
var parameters = {
  id: 'B7OxpT5ji53wLuR2'
};
yumpu.deleteSubscription(parameters, function(statusCode, document){
   console.log('Status: ' + statusCode);
   console.log(document);
});
```

{% endtab %}

{% tab title="Java" %}
Example:

```java
Yumpu y = new Yumpu("your access token");
String id = "B7OxpT5ji53wLuR2";
System.out.println(y.deleteSubscription(id));
```

{% endtab %}
{% endtabs %}

Whatever language you are using, the result will be the same.

```javascript
{
  "state": "success",
  "completed_in": "0.0407"
}
```
